(load "Object Framework.scm")
(load "tierchen_160113.scm")
(load "ugens_030213.scm")
(load "schedule_030213.scm")
(load "formant_ugens_220113.scm")

(define TIME (box-maker 0.0))
(define MAX_TIME (box-maker 30.0))
(define TRACKS (box-maker 1))
(define COUNT_TRACKS (box-maker 0))

(define test (Interpolate RandomMaker RandomMaker '(0.0 1.0) '(10.0 100.0)))
(send test 'next 30.0)


(define (prepare)
  (let* ((this_time (send TIME 'show))
         (jump  (send skip 'next this_time))
         (skp (car jump))
         (entry (send ed 'next this_time))
         (transp (send trnsp 'next this_time))
         (dr (cadr jump))
         (pn (send pan 'next this_time))
         (delt (send dlt 'next this_time))
         (fed (send fb 'next this_time))
         (flt (send fltr 'next this_time)))
    (list entry dr skp transp pn delt fed flt)))


;; (define scoreline (ObjectMaker prepare))
;;(send scoreline 'next)
;; (write-score 1)


(define ed (RandomMaker 1.0 2.0))

(define mych (ChangeTrackMaker
	      (LineMaker 0.0 0.0 10.0 10.0)
	      (JitterPositionMaker 1.0 0.5)))

(define line (ChangeTrackMaker 
	      (LineMaker 0.0 0.0 30.0 30.0)
	      (LineMaker 0.0 30.0 30.0 60.0)))

(define (prep)
  (let ((this_p (send mych 'next (send COUNT_TRACKS 'show)))
	(entry (send ed 'next))
	(ln (send line 'next (send COUNT_TRACKS 'show))))
    (list entry this_p ln)))

(define scoreline (ObjectMaker prep))

(write-score 1)
